MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
Acknowledge Insight IncidentArchive Insight TopicCreate Insight Alert RuleCreate Insight TopicDelete Insight Alert RuleGet Insight IncidentGet Insights SettingsInsight Sentiment MatrixInsight Processing StatusInsight KPIsInsight Time SeriesInsight Tool FailuresInsight Topic StatisticsInsight Config Version ComparisonList Insight IncidentsList Insight Alert RulesList Insight TopicsList Voice Engine PopulationsMerge Insight TopicUpdate Insights SettingsRe-analyse ConversationsResolve Insight IncidentInsight Topic Sample SummariesUpdate Insight Alert RuleUpdate Insight Topic
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceInsights

Create Insight Alert Rule

POST
/v1/insights/rules

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

org_id*Org Id
Formatuuid
verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A manager alert rule. metric, comparator and window are closed sets (an unknown value is a 422), because detection evaluates them without further validation.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/insights/rules?org_id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "metric": "failure_rate",    "comparator": "gt",    "threshold": 0,    "window": "hour"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5",  "metric": "string",  "comparator": "string",  "threshold": 0,  "window": "string",  "min_volume": 0,  "enabled": true,  "voice_population": "string",  "created_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Archive Insight Topic

Previous Page

Create Insight Topic

Next Page

name*Name
Length1 <= length <= 120
agent_id?|null
topic_id?|null
metric*Metric

Value in

  • "failure_rate"
  • "escalation_rate"
  • "tool_error_rate"
  • "negative_end_share"
  • "declined_share"
  • "resolution_rate"
  • "conversations"
  • "hidden_frustration_rate"
comparator*Comparator

Value in

  • "gt"
  • "gte"
  • "lt"
  • "lte"
threshold*Threshold
window*Window

Value in

  • "hour"
  • "day"
min_volume?Min Volume
Range1 <= value <= 100000
Default20
enabled?Enabled
Defaulttrue
voice_population?|null